const fs = require("fs");
const os = require("os");
const path = require("path");

const helpersDir = path.dirname(
  require.resolve("@babel/runtime/helpers/esm/set.js")
);

const content =
  fs
    .readdirSync(helpersDir, {
      withFileTypes: true,
    })
    .filter((dirent) => dirent.isFile() && dirent.name.endsWith(".js"))
    .map((dirent) => `import "@babel/runtime/helpers/esm/${dirent.name}";`)
    .join(os.EOL) + os.EOL;

fs.writeFileSync(
  path.join(__dirname, "../index.js"),
  `// Make all babel runtime helpers available in @next-core/brick-dll.
// This file is auto generated by \`node packages/babel-runtime-helpers/scripts/sync.js\`
${content}`
);
